function f9g(a,b,d,e){GFd.call(this,a,b,d);this.a=e}
function m9g(){var a;a=new Bqg(5);Fr((Mfd(),a.gb),false);return a}
function Lfh(a){var b;if(!a.g){b=new n9g((V0i(qde(a.a)),Rnj(sde(a.a))));a.g=b}return a.g}
function Kfh(a){var b;if(!a.f){b=new f9g(QEd(Nbe(a.a)),Lfh(a),Jfh(a),lLg(Gce(a.a)));aFd((Obe(a.a),b),ZFd(Obe(a.a)));a.f=b}return a.f}
function n9g(){Oyf.call(this,x2b,gVd((A4g(),w4g),$L(H1c,fxj,238,[z4g])));this.a=new J4g(x2b,this);this.o="Distributed query engine, that parses, plans and excutes user's SQL commands and provides results"}
f3c(4500,1007,hyj,f9g);_.Vi=function(){this.A.Ar()};_.Zi=function(){ruf(this.a,this)};f3c(4503,2859,kzj,n9g);_.Ah=function(){return Fyf(this)};_.xr=function(){return this.a};_.yr=function(){return Z5j};_.Cr=function(){return null};_.Fr=function(){var a;a=new I2g(this,Z5j,Hyf(this,null),this.k,this.s);return new U2g(this,Z5j,null,m9g(),a,this.s)};_.Gr=function(){return m9g()};f3c(4573,1,Pyj);_.pd=function(){yGd(this.b,Kfh(this.a.a))};var r1b=wNd(4500),s1b=wNd(4503);Dzj(_o)(17);